import mapImg from '@/assets/images/image.jpg';
import { Drawer } from '@/components/Map/Drawer';
import Image from 'next/image';

export const Map = (): JSX.Element => (
  <div className="w-100 h-screen bg-black relative z-0" data-testid="map-container">
    <Drawer />
    <Image src={mapImg} fill sizes="100vw" alt="map" className="z-0" />
  </div>
);
