import { SearchBar } from '@/components/FunctionalArea/TopBar/SearchBar';
import { UserAvatar } from '@/components/FunctionalArea/TopBar/UserAvatar';
import { Button } from '@/shared/Button';

export const TopBar = (): JSX.Element => (
  <div className="w-100 bg-white h-16 flex flex-row items-center py-4 pl-7 pr-6 justify-between">
    <div className="flex flex-row items-center">
      <UserAvatar />
      <SearchBar />
      <Button icon="plus" isIcon isFrontIcon className="ml-8 mr-4">
        Submaps
      </Button>
      <Button icon="plus" isIcon isFrontIcon>
        Overlays
      </Button>
    </div>
    <div className="bg-primary-100 px-4 py-1 leading-6 text-xs text-primary-500">
      Parkinson disease map
    </div>
  </div>
);
